- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_change_keyboard_mapping_request_t Struct Reference
[XCB API]

xcb_change_keyboard_mapping_request_t More...

`#include <xproto.h>`

## Data Fields
uint8_t | major_opcode
uint8_t | keycode_count
uint16_t | length
xcb_keycode_t | first_keycode
uint8_t | keysyms_per_keycode

## Detailed Description

xcb_change_keyboard_mapping_request_t

## Field Documentation

uint8_t xcb_change_keyboard_mapping_request_t::major_opcode

uint8_t xcb_change_keyboard_mapping_request_t::keycode_count

uint16_t xcb_change_keyboard_mapping_request_t::length

xcb_keycode_t xcb_change_keyboard_mapping_request_t::first_keycode

uint8_t xcb_change_keyboard_mapping_request_t::keysyms_per_keycode

The documentation for this struct was generated from the following file:

- xproto.h